
body {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  background-color: #242424;
}

header {
  margin-top: 0;
  padding: 0;
  text-align: center;
  color: white;
}

/* Overview */
.overview-mask {
  position: fixed;
  top: 0;
  right: 0;
  left: 30%;
  width: 50vw; /* Only show the right half of the screen */
  height: 100vh;
  overflow: hidden;
  pointer-events: none;
  z-index: 1;
  clip-path: polygon(40% 0, 100% 0%, 100% 100%, -5% 125%);
}

.overview {
  position: absolute;
  top: 40%;
  left: 60%;
  transform: translate(-50%, -50%);
  z-index: 2;
  pointer-events: auto;
  font-family: "Inter", sans-serif;
}

.overview .center-title {
  font-size: 10rem;
  color: white;
  text-align: center;
  pointer-events: none;
  margin-bottom: -2%;
}

/* Model container */
#container3D {
  position: fixed;
  top: 0;
  left: -16%;
  width: 100%;
  height: 100%;
  transition: left 0.5s cubic-bezier(0.2, 1, 0.3, 1);
  z-index: 3;
}

/* Themes */
:root {
  --color-bg1: rgb(108, 0, 162);
  --color-bg2: rgb(0, 17, 82);
  --color1: 18, 113, 255;
  --color2: 221, 74, 255;
  --color3: 100, 220, 255;
  --color4: 200, 50, 50;
  --color5: 180, 180, 50;
  --color-interactive: 140, 100, 255;
  --circle-size: 50%;
  --blending: hard-light;
}

/* Animations */
@keyframes moveInCircle {
  0% { transform: rotate(0deg); }
  50% { transform: rotate(180deg); }
  100% { transform: rotate(360deg); }
}

@keyframes moveVertical {
  0% { transform: translateY(-50%); }
  50% { transform: translateY(50%); }
  100% { transform: translateY(-50%); }
}

@keyframes moveHorizontal {
  0% { transform: translateX(-50%) translateY(-10%); }
  50% { transform: translateX(50%) translateY(10%); }
  100% { transform: translateX(-50%) translateY(-10%); }
}

/* Background */
.gradient-bg {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
  z-index: -2;
  background: linear-gradient(40deg, var(--color-bg1), var(--color-bg2));
}

.gradient-bg svg {
  position: fixed;
  top: 0;
  left: 0;
  width: 0;
  height: 0;
}

.gradients-container {
  filter: url(#goo) blur(40px);
  width: 100%;
  height: 100%;
  position: relative;
}

.gradients-container div {
  position: absolute;
  mix-blend-mode: var(--blending);
  border-radius: 50%;
}

/* Circles */
.g1, .g2, .g3, .g4, .g5 {
  width: var(--circle-size);
  height: var(--circle-size);
  background: radial-gradient(circle at center, rgba(var(--color1), 0.8) 0, rgba(var(--color1), 0) 50%);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.g1 {
  background: radial-gradient(circle at center, rgba(var(--color1), 0.8), rgba(var(--color1), 0));
  animation: moveVertical 30s ease infinite;
}

.g2 {
  background: radial-gradient(circle at center, rgba(var(--color2), 0.8), rgba(var(--color2), 0));
  transform-origin: calc(50% - 400px);
  animation: moveInCircle 20s reverse infinite;
}

.g3 {
  background: radial-gradient(circle at center, rgba(var(--color3), 0.8), rgba(var(--color3), 0));
  top: calc(50% + 200px);
  left: calc(50% - 500px);
  transform-origin: calc(50% + 400px);
  animation: moveInCircle 40s linear infinite;
}

.g4 {
  background: radial-gradient(circle at center, rgba(var(--color4), 0.8), rgba(var(--color4), 0));
  transform-origin: calc(50% - 200px);
  animation: moveHorizontal 40s ease infinite;
  opacity: 0.7;
}

.g5 {
  background: radial-gradient(circle at center, rgba(var(--color5), 0.8), rgba(var(--color5), 0));
  width: calc(var(--circle-size) * 2);
  height: calc(var(--circle-size) * 2);
  top: calc(50% - var(--circle-size));
  left: calc(50% - var(--circle-size));
  transform-origin: calc(50% - 800px) calc(50% + 200px);
  animation: moveInCircle 20s ease infinite;
}

/* Interactive */
.interactive {
  background: radial-gradient(circle at center, rgba(var(--color-interactive), 0.8), rgba(var(--color-interactive), 0));
  width: 100%;
  height: 100%;
  top: -50%;
  left: -50%;
  opacity: 0.7;
}

/* Buttons */
.theme-switcher,
.theme-buttons {
  display: flex;
  gap: 0.75rem;
  padding-left: 1%;
  margin-bottom: 3%;
}

.theme-switcher button,
.theme-buttons button {
  background: rgba(255, 255, 255, 0.1);
  color: white;
  border: 1px solid white;
  padding: 0.5rem 0.75rem;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
  transition: background 0.3s;
}

.theme-buttons button {
  border: none;
  border-radius: 999px;
  font-size: 1.2rem;
  transition: all 0.2s ease;
  font-family: inherit;
}

.theme-switcher button:hover,
.theme-buttons button:hover {
  background: rgba(255, 255, 255, 0.2);
  transform: scale(1.05);
}

.theme-buttons .theme-btn::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 1.25em;
  height: 1.25em;
  border-radius: 50%;
  margin-right: 0.5em;
  border: 1px solid white;
}

.theme-buttons .btn-grey::before {
  background-color: rgb(39, 39, 39);
}

.theme-buttons .btn-red::before {
  background-color: rgb(139, 42, 44);
}

.theme-buttons .btn-blue::before {
  background-color: rgb(42, 42, 142);
}

.theme-buttons .theme-btn.active {
  background: rgba(255, 255, 255, 0.3);
  transform: scale(1.05);
  border: 1px solid white;
}

.storage-options {
  display: flex;
  gap: 0.75rem;
  padding-left: 1%;
  margin-bottom: 3%;
}

.storage-options .storage-btn {
  background: rgba(255, 255, 255, 0.1);
  color: white;
  border: none;
  padding: 0.5rem 0.75rem;
  border-radius: 999px;
  cursor: pointer;
  font-weight: bold;
  transition: background 0.3s, transform 0.2s ease;
  font-family: inherit;
  font-size: 1.2rem;
}

.storage-options .storage-btn:hover {
  background: rgba(255, 255, 255, 0.2);
  transform: scale(1.05);
}

.storage-options .storage-btn.active {
  background: rgba(255, 255, 255, 0.3);
  transform: scale(1.05);
  border: 1px solid white;
}

.storage-options .storage-btn::before {
  content: none;
}

.add-to-cart-container {
  display: flex;
  padding-left: 1%;
}

.add-to-cart-btn {
  background: rgba(255, 255, 255, 0.1);
  color: white;
  border: none;
  padding: 0.5rem 0.75rem;
  border-radius: 999px;
  cursor: pointer;
  font-weight: bold;
  font-family: inherit;
  font-size: 1.2rem;
  transition: background 0.3s, transform 0.2s ease;
}

.add-to-cart-btn:hover {
  transform: scale(1.05);
}

.add-to-cart-btn:active {
  transform: scale(1.0);
}

@media (max-width: 600px) {
  .theme-buttons {
    justify-content: center;
  }
}

/* Tips message */
.message {
  position: fixed;
  color: white;
  font-size: 1.2rem;
  font-family: "Inter", sans-serif;
  z-index: 100;
  opacity: 1;
  transition: opacity 0.2s;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

#scroll-message {
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
}

#interaction-message {
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
}

/* Info Mask */
.info-mask {
  position: fixed;
  top: 27%;
  left: -26%;
  width: 75vw;          
  height: 100vh;
  overflow: hidden;     
  padding: 1rem;
  pointer-events: none; 
  z-index: 1;
  clip-path: polygon(40% 0, 100% 0, 100% 100%, -5% 125%);
}

.info-content {
  transform: translateX(125%);
  transition: transform 0.3s ease-out;
}

.info-mask.active .info-content {
  transform: translateX(-14%);
}

.info {
  position: relative;
  color: white;
  text-align: right;
  font-size: 1.5rem;
  font-family: "Inter", sans-serif;
}

.info .center-title {
  font-size: 5rem;
  margin-bottom: 1rem;
}

/* Intro */
.intro-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: black;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease;
  z-index: 9999;
}

.intro-overlay.active {
  opacity: 1;
}

.hidden {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}